// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "EndlessVendetta/BountySystem/CheckpointClass.h"
#include "EndlessVendetta/InteractionInterface.h"
#include "InteractableCP_CallBPEvent.generated.h"

/**
 * 
 */
UCLASS()
class ENDLESSVENDETTA_API AInteractableCP_CallBPEvent : public ACheckpointClass, public IInteractionInterface
{
	GENERATED_BODY()

	void Interact() override;

protected:
	UFUNCTION(BlueprintImplementableEvent)
	void PlayerInteracted();
};
